Name:				rpi-release
Version:			10
Release:			%autorelease
Summary:			Raspberry Pi Packages repository configuration

License:			LicenseRef-Not-Copyrightable
BuildArch:			noarch
URL:				https://copr.fedorainfracloud.org/coprs/lucamagrone/el10-pi

# Keys
Source10:			https://download.copr.fedorainfracloud.org/results/lucamagrone/el10-pi/pubkey.gpg

# Repo configs
Source20:			rpi.repo

# This should only be installed on Enterprise Linux with the same major version
Requires:			(redhat-release >= %{version} with redhat-release < %[%{version} + 1])

Recommends:			epel-release = %{version}


%description
This package contains the Raspberry Pi Packages repository configuration and GPG key.

%setup
%autosetup


%install
# Keys
mkdir -p %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -Tp -m 0644 %{S:10} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-RPI-%{version}

# Repo configs
install -Dp -m 0644 -t %{buildroot}%{_sysconfdir}/yum.repos.d %{S:20}


%files
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-RPI-%{version}
%config(noreplace) %{_sysconfdir}/yum.repos.d/rpi.repo


%changelog
%autochangelog
